# $Id: smeserver-nfs.spec,v 1.7 2024/09/06 00:59:47 terryfage Exp $
# Authority: slords
# Name: Shad L. Lords

Summary: smeserver - configure nfs server
%define name smeserver-nfs
Name: %{name}
%define version 1.2.0
%define release 24
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-base
Requires: smeserver-release >= 9
Requires: nfs-utils
Requires: nfs4-acl-tools
Requires: smeserver-lib 
Requires: smeserver-packetfilter 
BuildRequires: smeserver-devtools
BuildArchitectures: noarch

%description
e-smith server and gateway - configure nfs server

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.2.0-24.sme
- Fix e-smith references in smeserver-nfs [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.2.0-23.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Sep 06 2024 Terry Fage <terry@fage.id.au> 1.2.0-22.sme
- apply locale 2024-09-06.patch

* Fri Nov 18 2022 Jean-Philippe Pialasse <tests@pialasse.com> %{version}-21.sme
- fix service not starting and not accessible [SME: 12230]
- using systemd and removing sysvinit links

* Mon Aug 23 2021 Terry Fage <terry.fage@gmail.com> 1.2.0-20.sme
- apply locale 2021-08-22 patch

* Wed Mar 03 2021 Brian Read <brianr@bjsystems.co.uk> 1.2.0-19.sme
- Add in -update event [SME:11272 ]

* Mon Dec 21 2020 Brian Read <brianr@bjsystems.co.uk> 1.2.0-18.sme
- Alter-rcpbind-restart-to-systemctl-call [SME: 11272]

* Sat Dec 19 2020 Brian Read <brianr@bjsystems.co.uk> 1.2.0-17.sme
- Initial import to SME10 [SME: 11272]

* Sat Dec 07 2019 SME Translation Server <translations@contribs.org> 1.2.0-16.sme
- apply locale 2019-12-07 patch

* Fri Dec 14 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 1.2.0-15.sme
- apply locale 2018-12-14 patch

* Sat Dec 02 2017 SME Translation Server <translations@contribs.org> 1.2.0-14.sme
- apply locale 2017-12-02 patch

* Sat Mar 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.2.0-13.sme
- apply locale 2017-03-25 patch

* Wed Feb 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.2.0-12.sme
- apply locale 2017-02-02.patch

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 1.2.0-11.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-10.sme
- Added smeserver-nfs-1.2.0-locale-2015-09-12.patch

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-9.sme
- Initial release to contribs9

* Sun Jan 4 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-8.sme
- The ownership and the user access of the Ibay are modifiable by the contrib
 
* Mon Dec 15 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-7.sme
- added a default db nfs-rules
- added an exception if nfs-rules is removed by the admin
 
* Mon Dec 15 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-6.sme
- Added an event nfs-conf shorter for the server-manager
- Added a template /etc/exports/20CustomRules for manual settings

* Sun Dec 7 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-5.sme
- added a template of hosts.allow
- added restart nfslock/rpcbind to remoteaccess-update & nfs-update
- display Group description and permissions from ibay account in nfs panel
- added a textarea box for ip of nfsclient
- display status of nfs share in the main panel

* Sat Dec 6 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-4.sme
- Added a panel with en-us locale and validator

* Tue Nov 25 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-3.sme
- Added nfs4-acl-tools for nfsv4 dependency
- Added a template to /etc/exports
- Added a specific event nfs-update

* Mon Nov 24 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-2.sme
- removed portmap to rpcbind in r7.d

* Tue Sep 16 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2.0-1.sme
- Initial release to sme9

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Jan 30 2006 Shad L. Lords <slords@mail.com>
- initial

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%postun

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
